Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for COM/DCOM API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.appconn.com.otd
Class ComOtdInterfaceImpl

    java.lang.Object
      com.stc.connector.appconn.com.otd.ComOtdInterfaceImpl

All Implemented Interfaces:
  ComOtdInterface, STCIDispatchAccess, STCIDispatch, STCIUnknown

    public class ComOtdInterfaceImpl

extends java.lang.Object
implements ComOtdInterface

This is the base class for all OTD generated COM interafce implementations.

Constructor Summary
`ComOtdInterfaceImpl(STCIDispatch initDispatch)`

Method Summary
`STCIDispatch` | `_getSTCIDispatch()` Call this method to retrieve the original COM eWay runtime provided STCIDispatch.
`void` | `AddRef()` Calls the AddRef method on the underlying COM interface.
`STCComVariant` | `getProperty(java.lang.String propertyName, STCComVariant[] args)` Gets a property by name.
`STCComVariant` | `invoke(java.lang.String methodName, STCComVariant[] args)` Allows you to call a method by name on the underlying COM interface.
`void` | `Release()` Calls the Release method on the underlying COM interface.
`void` | `setProperty(java.lang.String propertyName, STCComVariant[] args)` Sets a property by name.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ComOtdInterfaceImpl

    public ComOtdInterfaceImpl(STCIDispatch initDispatch)

Method Detail

### invoke

    public STCComVariant invoke(java.lang.String methodName,
                                STCComVariant[] args)
                         throws STCComException

  Allows you to call a method by name on the underlying COM interface.

  Specified by:
    `invoke` in interface `STCIDispatch`
  Parameters:
    `methodName` - The method name. Note that case is significant.
    `args` - An array of STCComVariant. As per COM rules, the arguments in this array are in reverse order.
  Returns:
    `STCComVariant` - Returns an STCComVariant which will hold the return value of the underlying Invoke, if applicable and if successful.
  Throws:
    `STCComException` - Thrown if Invoke on the underlying object fails.

### setProperty

    public void setProperty(java.lang.String propertyName,
                            STCComVariant[] args)
                     throws STCComException

  Sets a property by name.

  Specified by:
    `setProperty` in interface `STCIDispatch`
  Parameters:
    `propertyName` - The name of the property to set. Note that case is significant.
    `args` - An array of STCComVariant. As per COM rules, the arguments in this array are in reverse order. This parameter must be provided all the time since the array contains at least the new property value.
  Throws:
    `STCComException` - Thrown if the method on underlying object fails.

### getProperty

    public STCComVariant getProperty(java.lang.String propertyName,
                                     STCComVariant[] args)
                              throws STCComException

  Gets a property by name.

  Specified by:
    `getProperty` in interface `STCIDispatch`
  Parameters:
    `propertyName` - The name of the property to get. Note that case is significant.
    `args` - An array of STCComVariant. As per COM rules, the arguments in this array are in reverse order. This parameter can be null or empty STCComVariant[] when the property does not have any parameters.
  Returns:
    `STCComVariant` - Returns an STCComVariant which holds the resulting value.
  Throws:
    `STCComException` - Thrown if the method on underlying COM interface fails.

### AddRef

    public void AddRef()
                throws STCComException

  Calls the AddRef method on the underlying COM interface.

  Parameters:
    None.

  Specified by:
    `AddRef` in interface `STCIUnknown`
  Throws:
    `STCComException` - when the AddRef() fails.

### Release

    public void Release()

  Calls the Release method on the underlying COM interface.

  Parameters:
    None.

  Specified by:
    `Release` in interface `STCIUnknown`

### _getSTCIDispatch

    public STCIDispatch _getSTCIDispatch()

  Call this method to retrieve the original COM eWay runtime provided STCIDispatch.

  Specified by:
    `_getSTCIDispatch` in interface `STCIDispatchAccess`
  Returns:
    The original COM eWay runtime provided STCIDispatch.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for COM/DCOM API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Sun Microsystems, Inc. All rights reserved.